Bug 150042 - fbmmx.c doesn't compile with gcc4
fbmmx.c doesn't compile with gcc4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 16:33 EST by Søren Sandmann Pedersen
Modified: 2014-06-18 05:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 08:06:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2005-03-01 16:33:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
Probably need to backport the more standardized way of using mmx
from HEAD. Alternatively, adding casts for the logical operations may
work as well.

Representative sample of the errors

fbmmx.c: In function 'negate':
fbmmx.c:107: error: incompatible type for argument 1 of
'__builtin_ia32_pxor'
fbmmx.c:107: error: incompatible type for argument 2 of
'__builtin_ia32_pxor'
fbmmx.c: In function 'expand_alpha':
fbmmx.c:166: error: incompatible type for argument 1 of
'__builtin_ia32_por'
fbmmx.c:166: error: incompatible type for argument 2 of
'__builtin_ia32_por'
fbmmx.c:166: error: incompatible types in assignment
fbmmx.c:168: error: incompatible type for argument 1 of
'__builtin_ia32_por'
fbmmx.c:168: error: incompatible type for argument 2 of
'__builtin_ia32_por'
fbmmx.c:168: error: incompatible types in assignment

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
compile with gcc4

Additional info:
Comment 1 Mike A. Harris 2005-03-02 01:05:06 EST
For additional reference:

http://bugs.gentoo.org/show_bug.cgi?id=80685
Comment 2 Mike A. Harris 2005-03-02 01:07:48 EST
The fix you checked into CVS seems to bypass the problem now,
but there are other gcc4 failures.  I think we should probably
leave this open until we get a working build and can test it
for regression.
Comment 3 Mike A. Harris 2005-03-02 01:08:48 EST
To further disambiguate my last comment, the "other" failures are
in a different unrelated part of the build, and not additional
failures in the same code.
Comment 4 Mike A. Harris 2005-03-02 08:06:57 EST
Ok, things seem to compile with gcc 4 now.  If there are any runtime
problems, we'll treat them as a different bug.

Fixed in 6.8.2-6, closing as "RAWHIDE".

Note You need to log in before you can comment on or make changes to this bug.